Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Search/Common/Slot.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Search\Common;
8
9 use eZ\Publish\Core\SignalSlot\Slot as BaseSlot;
10 use eZ\Publish\API\Repository\Repository;
11 use eZ\Publish\SPI\Persistence\Handler as PersistenceHandler;
12 use eZ\Publish\SPI\Search\Handler as SearchHandler;
13
17 abstract class Slot extends BaseSlot
18 {
20 protected $repository;
21
23 protected $persistenceHandler;
24
26 protected $searchHandler;
27
28 public function __construct(
29 Repository $repository,
30 PersistenceHandler $persistenceHandler,
31 SearchHandler $searchHandler
32 ) {
33 $this->repository = $repository;
34 $this->persistenceHandler = $persistenceHandler;
35 $this->searchHandler = $searchHandler;
36 }
37 }
eZ\Publish\Core\Search\Common\Slot
General slot implementation for Search Engines.
Definition: Search/Common/Slot.php:18
eZ\Publish\Core\Search\Common\Slot\$persistenceHandler
$persistenceHandler
Definition: Search/Common/Slot.php:23
eZ\Publish\Core\Search\Common\Slot\$searchHandler
$searchHandler
Definition: Search/Common/Slot.php:26
eZ\Publish\Core\Search\Common\Slot\$repository
$repository
Definition: Search/Common/Slot.php:20
eZ\Publish\Core\Search\Common\Slot\__construct
__construct(Repository $repository, PersistenceHandler $persistenceHandler, SearchHandler $searchHandler)
Definition: Search/Common/Slot.php:28
eZ\Publish\Core\SignalSlot\Slot
A Slot can be assigned to receive a certain Signal.
Definition: SignalSlot/Slot.php:13
eZ\Publish\API\Repository\Repository
Repository interface.
Definition: API/Repository/Repository.php:16
eZ\Publish\SPI\Persistence\Handler
The main handler for Storage Engine.
Definition: SPI/Persistence/Handler.php:15
eZ\Publish\SPI\Search\Handler
The Search handler retrieves sets of of Content objects, based on a set of criteria.
Definition: SPI/Search/Handler.php:20
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.